%define upstream_name	Sys-Mknod
%define upstream_version	0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	Sys::Mknod - make special files
License: 	GPL
Group: 		Development/Perl
Url: 		http://www.kernel.org/software/mon/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SA/SAMV/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:  noarch

   
%description
Sys::Mknod - make special files

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

# it try to run mknod, and we can't be root to
# build the package...
[ $UID -eq 0 ] || exit 0

%install
%makeinstall_std

%files
%{perl_vendorlib}
%{_mandir}/*/*
%doc Changes README

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.20.0-8pclos2017
- rebuild against updates

